%This mfile was created in Matlab R2010b.  Results were published in the
%following paper (Mackey and Lamb, 2013).  Please cite the following paper should these codes be
%used for a publication.

%Mackey, B.H., and Lamb, M.P., 2013, 
%Deciphering boulder mobility and erosion from cosmogenic nuclide exposure dating: 
%Journal of Geophysical Research: Earth Surface,doi: 10.1002/jgrf.20035

%Disclaimer:  These codes have only been tested for the conditions published
%in the manuscript. Numerical errors are likely outside of these bounds given
%the crude iteration schemes used.  Use at your own risk.

%Copyright (C) 2013 Michael Lamb <mpl@gps.caltech.edu>

% This program is free software: you can redistribute it and/or modify it 
% under the terms of the GNU General Public License as published by the 
% Free Software Foundation. You should have received a copy of the GNU 
% General Public License along with this program.  If not, see 
% http://www.gnu.org/licenses.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%plot boulder_erode_var_radius

%uses output file from boulder_erode_var_radius.m
%make sure name is the same to call it up

%plot 0.05 mm/yr erosion rate  with contours of diameter



ab = load('var_boulder_diam_Er_005mm_yr_all1')

time1m = []
conc1m = []

rads = [500 1000 1500 2000 2500 3000 4000 5000]

cnt = [200 500 1000 2000] 

p = 1

for p = 1:length(cnt)

q = 1 

for q = 1:length(rads)

   
ac = ab.(['stats_all' num2str(rads(q))])

cnta = cnt(p);

x1 = find(ac(:,2)==cnta);

time1m = [time1m;ac(x1,1)]
conc1m = [conc1m;ac(x1,3)]

end

contplot = [time1m,conc1m]

time1m = []
conc1m = []

cntx = cnt(p);

eval(['contplot' num2str(cntx) '=contplot'])

end


clear ab

load var_boulder_diam_Er_005mm_yr_all1

figure

%adjust for the input radii

plot(stats_all500(:,1),stats_all500(:,3))
hold on
plot(stats_all1000(:,1),stats_all1000(:,3))
plot(stats_all1500(:,1),stats_all1500(:,3))
plot(stats_all2000(:,1),stats_all2000(:,3))
plot(stats_all2500(:,1),stats_all2500(:,3))
plot(stats_all3000(:,1),stats_all3000(:,3))
plot(stats_all4000(:,1),stats_all4000(:,3))
plot(stats_all5000(:,1),stats_all5000(:,3))
plot(contplot200(:,1),contplot200(:,2), 'r-')
plot(contplot500(:,1),contplot500(:,2), 'r-')
plot(contplot1000(:,1),contplot1000(:,2), 'r-')
plot(contplot2000(:,1),contplot2000(:,2), 'r-')



xlabel('Time (years)')
ylabel('Mean nuclide concentration (atoms.node^-^1)')
% 

% Now plot 0.2 mm/yr Er
% 
load var_boulder_diam_Er_02mm_yr_all

plot(stats_all500(:,1),stats_all500(:,3),'k-')
plot(stats_all1000(:,1),stats_all1000(:,3),'k-')
plot(stats_all1500(:,1),stats_all1500(:,3),'k-')
plot(stats_all2000(:,1),stats_all2000(:,3),'k-')
plot(stats_all2500(:,1),stats_all2500(:,3),'k-')
plot(stats_all3000(:,1),stats_all3000(:,3),'k-')
plot(stats_all4000(:,1),stats_all4000(:,3),'k-')
plot(stats_all5000(:,1),stats_all5000(:,3),'k-')

ab = load('var_boulder_diam_Er_02mm_yr_all')

time1m = []
conc1m = []

rads = [500 1000 1500 2000 2500 3000 4000 5000]

cnt = [200 500 1000 2000] 

p = 1

for p = 1:length(cnt)

q = 1 

for q = 1:length(rads)

   
ac = ab.(['stats_all' num2str(rads(q))])

cnta = cnt(p);

x1 = find(ac(:,2)==cnta);

time1m = [time1m;ac(x1,1)]
conc1m = [conc1m;ac(x1,3)]

end

contplot = [time1m,conc1m]

time1m = []
conc1m = []

cntx = cnt(p);

eval(['contplot' num2str(cntx) '=contplot'])

end


clear ab

%plots contours of boulder radii

plot(contplot200(:,1),contplot200(:,2), 'r-')
plot(contplot500(:,1),contplot500(:,2), 'r-')
plot(contplot1000(:,1),contplot1000(:,2), 'r-')
plot(contplot2000(:,1),contplot2000(:,2), 'r-')


