%This mfile was created in Matlab R2010b.  Results were published in the
%following paper (Mackey and Lamb, 2013).  Please cite the following paper should these codes be
%used for a publication.

%Mackey, B.H., and Lamb, M.P., 2013, 
%Deciphering boulder mobility and erosion from cosmogenic nuclide exposure dating: 
%Journal of Geophysical Research: Earth Surface,doi: 10.1002/jgrf.20035

%Disclaimer:  These codes have only been tested for the conditions published
%in the manuscript. Numerical errors are likely outside of these bounds given
%the crude iteration schemes used.  Use at your own risk.

%Copyright (C) 2013 Michael Lamb <mpl@gps.caltech.edu>

% This program is free software: you can redistribute it and/or modify it 
% under the terms of the GNU General Public License as published by the 
% Free Software Foundation. You should have received a copy of the GNU 
% General Public License along with this program.  If not, see 
% http://www.gnu.org/licenses.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%erosion scenarios
%Makes plot of erosion history of boulders with varying radius, but
%constant erosion rate specified as Er

%saves each radius as all steps or only at rolls. Roll number is irrelevant
%for this run

%boulder_erode_lalA is configured to have a node every 25 mm. Removes
%shells in max of 50 mm increments.


Er = 0.1

radius = [0.5,1,1.5,2,2.5,3,3.5,4,5]'.*1000 %give it a range of boulder radii here (input in m is converted to mm)

ttime = radius./Er

rolls = 10

load nuclide_sphere_Lal %xn1 yn1 zn1

for m = 1:length(radius)
    [stats_all,stats]= boulder_erode_lalA(radius(m),rolls,Er,ttime(m))
    
    rho=radius(m)

    eval(['stats_all' num2str(rho) '=stats_all'])
    eval(['stats' num2str(rho) '=stats'])
    
    fprintf('boulder erode success')
    
end

save var_boulder_diam_Er_01mm_yr %saves the named files to a mat file

clear

%Repeat with different erosion rate

